Instalacion incompleta

Hola necesito configurar bien esta distribucion. soy novato. anda muy lento y no puedo instalar por ejemplo SKYPE me pide ;

Se requiere la instalación de paquetes no confiables

Los paquetes a instalar necesarios de fuentes no autenticadas.

ademas que funciona muy lento ... graciasss!!